# Class default

- Defined in src/system/trainer-data.ts:5

#####
Index

### Constructors

constructor

### Properties

name
partnerName
partyTemplateIndex
trainerType
variant

### Methods

toTrainer

## Constructors

### constructor

- new default(source): default

- #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/trainer-data.ts:12

## Properties

### name

name: string

- Defined in src/system/trainer-data.ts:9

### partnerName

partnerName: string

- Defined in src/system/trainer-data.ts:10

### partyTemplateIndex

partyTemplateIndex: number

- Defined in src/system/trainer-data.ts:8

### trainerType

trainerType: TrainerType

- Defined in src/system/trainer-data.ts:6

### variant

variant: TrainerVariant

- Defined in src/system/trainer-data.ts:7

## Methods

### toTrainer

- toTrainer(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  - Defined in src/system/trainer-data.ts:21